## org.gnu.gtk
Class StateType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.StateType

public class StateType
extends org.gnu.glib.Enum

Field Summary
`static StateType` `ACTIVE`
`static StateType` `INSENSITIVE`
`static StateType` `NORMAL`
`static StateType` `PRELIGHT`
`static StateType` `SELECTED`

Method Summary
`StateType` `and(StateType other)`
`static StateType` `intern(int value)`
`StateType` `or(StateType other)`
`boolean` `test(StateType other)`
`StateType` `xor(StateType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final StateType NORMAL

### ACTIVE

    public static final StateType ACTIVE

### PRELIGHT

    public static final StateType PRELIGHT

### SELECTED

    public static final StateType SELECTED

### INSENSITIVE

    public static final StateType INSENSITIVE

Method Detail

### intern

    public static StateType intern(int value)

### or

    public StateType or(StateType other)

### and

    public StateType and(StateType other)

### xor

    public StateType xor(StateType other)

### test

    public boolean test(StateType other)